Get change order by id
GET
/change-orders/{id}
const url = 'https://app.buildworkpro.com/api/v1/change-orders/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.buildworkpro.com/api/v1/change-orders/1 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”
id
required
integer
Responses
Section titled “ Responses ”ChangeOrder
Media type
application/json
object
data
required
object
id
required
integer
changeOrderNumber
required
string
projectId
required
integer
title
required
string
description
required
string | null
status
required
string
reason
required
string | null
totalAmount
required
string | null
approvedBy
required
string | null
rejectionReason
required
string | null
meta
required
object
request_id
Server-generated request identifier
string
pagination
object
cursor
required
Opaque cursor for the next page; null when no more results
string | null
has_more
required
Whether more pages are available after this one
boolean
count
required
Items in this page
integer
Example generated
{ "data": { "id": 1, "changeOrderNumber": "example", "projectId": 1, "title": "example", "description": "example", "status": "example", "reason": "example", "totalAmount": "example", "approvedAt": "2026-04-15T12:00:00Z", "approvedBy": "example", "rejectedAt": "2026-04-15T12:00:00Z", "rejectionReason": "example", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" }, "meta": { "request_id": "example", "pagination": { "cursor": "example", "has_more": true, "count": 1 } }}Error
Media type
application/problem+json
object
type
required
URL identifying the problem type
string
format: uri
title
required
Short human-readable summary
string
status
required
HTTP status code
integer
detail
Human-readable explanation
string
request_id
Server-generated request identifier
string
errors
Validation error array (422 only)
Array<object>
object
field
required
Field path that failed validation
string
code
required
Validation error code
string
message
required
Human-readable validation message
string
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}